upgrade from 0.8.7 to 1.1.0 - now lots of template variables aren't replaced

2011-02-03 18:36 - Caspar MacRae

Status: Closed Start date: 2011-02-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Seeing things like this (project overview tab):

    Bug: {{count}} open / {{total}}

    Feature: {{count}} open / {{total}}

    Support: 1 open / {{total}}

    Task: 0 open / {{total}}

 This appears throughout the app, the worrying thing is that we're unable to send notification emails, test email fails with:

An error occurred while sending mail ({{value}})

 Setup details:

Using Redmine 1.1.0, with Postgres 8.4 on a Ubuntu x86_64 (VMWare) after generating an empty dB.

sudo RAILS_ENV=production script/about

./script/../config/../vendor/rails/railties/lib/rails/gem_dependency.rb:119:Warning: Gem::Dependen

cy#version_requirements is deprecated and will be removed on or after August 2010.  Use #requireme

nt

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /usr/share/redmine

Environment               production

Database adapter          postgresql

Database schema version   20091205124427

 Any advice gratefully received as I pushed this into production thinking this issue wasn't that serious and didn't test the email

notification first    :-/

Related issues:

Is duplicate of Redmine - Defect #7013: See {{count}} in page display rather ... Closed 2010-12-01

History

#1 - 2011-02-03 19:08 - Etienne Massip

Isn't it a duplicate of #7013 ?

Do you have the required 0.4.2 version of the i18n gem ?

#2 - 2011-02-04 09:55 - Caspar MacRae
Yes, it is thanks Etienne, I did search issues, don't know how I missed the others.

For reference, as per comment on #7013 you must ensure only version 4.2 is installed:

#gem install i18n -v=0.4.2

#gem uninstall i18n -v=0.5.0

#3 - 2011-02-04 09:58 - Caspar MacRae

- Status changed from New to Resolved

(this needs to be marked as a duplicate, but don't seem to be able to do this)

#4 - 2011-02-04 10:00 - Etienne Massip

- Category set to I18n

- Status changed from Resolved to Closed

- Resolution set to Duplicate

Closed as duplicate of #7013

#5 - 2011-03-04 09:40 - Vlad Posea

- File Screenshot_-_3_4_2011___10_38_42_AM.jpg added

- Status changed from Closed to Reopened

I have read the #7013 and this issue also and this bug is still occurring. I have the following gems

actionmailer (2.3.4)

actionpack (2.3.4)

activerecord (2.3.4)

activeresource (2.3.4)

activesupport (2.3.4)

daemon_controller (0.2.6)

fastthread (1.0.7)

file-tail (1.0.5)

i18n (0.4.2) #i don't have 0.5.0 and i can't install an earlier version

mysql (2.8.1)

passenger (3.0.4)

rack (1.2.1, 1.0.1)

rails (2.3.4)

rake (0.8.7)

spruz (0.2.5)

and the following configuration:

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.4.2

Rack version              1.0

Rails version             2.3.4

Active Record version     2.3.4

Active Resource version   2.3.4

Action Mailer version     2.3.4

Active Support version    2.3.4

Application root          /srv/redmine-1.1

Environment               production

Database adapter          mysql

Database schema version   20101114115359

#6 - 2011-03-04 09:45 - Etienne Massip

1.1.0 does not support Rails 2.3.4. Please consider upgrading to 2.3.5.

#7 - 2011-03-16 22:44 - Jason Meinzer

I just upgraded to 1.1.2.stable.5157 to try to fix this problem but it did not help.  I am still seeing these types of things everywhere:

Defect: %{count} open / %{total}

Feature: 1 open / %{total}

 I have only 0.4.2 of i18n installed.
#8 - 2011-03-17 11:20 - Etienne Massip

Did you restart your server ?

#9 - 2011-03-21 23:23 - Jason Meinzer

Etienne Massip wrote:

Did you restart your server ?

 Yes.

#10 - 2015-04-05 07:18 - Go MAEDA

- Status changed from Reopened to Closed

Redmine 1.1 is too old and this issue can be resolved by installing latest Redmine.

I close this issue.

Files

Screenshot_-_3_4_2011___10_38_42_AM.jpg 10.3 KB 2011-03-04 Vlad Posea
